Oudere versies worden vanaf 1 maart 2021 niet meer ondersteund

.
Gepubliceerd op: 29 januari 2021

 

Dienstverleners die een verouderde versie (ook wel koppelvlak genoemd) van eHerkenning gebruiken, moeten op korte termijn overstappen op een nieuwe versie. Per 1 maart 2021 worden versies ouder dan eHerkenning 1.9 namelijk niet meer ondersteund. Indien uw organisatie dus nog steeds gebruik maakt van oudere koppelvlakken zoals EH 1.7, dan betekent dit dat u tot uiterlijk 1 maart 2021 de mogelijkheid heeft om te upgraden naar een nieuwer koppelvlak. 

 

Wat is er precies aan de hand?
eHerkenning wordt continu doorontwikkeld. Elke nieuwe versie brengt verbeteringen met zich mee, zoals beveiligingsupdates en nieuwe functionaliteiten. Om eHerkenning veilig te houden en een hoge kwaliteit van de dienstverlening te waarborgen, is het dus belangrijk om verouderde versies uit te faseren. Het Afsprakenstelsel Elektronische Toegangsdiensten (ETD-stelsel) bepaalt hoe en wanneer dit gebeurt. In eerste instantie was de deadline voor uitfaseren 1 januari 2021, maar vanuit het eHerkenningstelsel is er besloten dat de deadline voor het uitfaseren van koppelvlakken ouder dan 1.9 wordt uitgesteld tot en met 1 maart 2021.

De laatste drie verplichte versies van eHerkenning worden ondersteund. De meest recente versie is eHerkenning 1.13. Dit betekent dat per 1 maart 2021 alle versies vóór 1.9 niet meer ondersteund worden. 

Dit geldt voor alle eHerkenningsmakelaars.

Wat betekent dit voor mij als dienstverlener die aangesloten is op een eHerkenningsmakelaar?
Dienstverleners die gebruikmaken van een verouderde versie van eHerkenning, moeten voor 1 maart 2021 zijn overgestapt. Anders werkt eHerkenning na die datum niet meer. Uw gebruikers kunnen dan dus niet meer op uw online diensten inloggen met eHerkenning.

Wat u precies moet doen, is afhankelijk van de versie van eHerkenning die u momenteel gebruikt en de versie waarop u overstapt. In ieder geval zullen enkele configuraties moeten worden aangepast. Zo is het sinds de introductie van eHerkenning 1.13 verplicht om een certificaat toe te voegen aan de dienst in de dienstencatalogus van eHerkenning. 

Een nieuwe versie van eHerkenning heeft ook andere specificaties, waardoor zowel uw metadata als die van Signicat (voorheen Connectis) wijzigen. Als u aangesloten bent op eHerkenning via Signicat (voorheen Connectis), moeten we elkaars metadata gelijktijdig inlezen om gegevens uit te kunnen wisselen. Hiervoor kunt u contact opnemen met onze technical supportafdeling

Hoe kan ik dit proces vereenvoudigen?
We begrijpen dat de overstap naar een nieuwe versie van eHerkenning behoorlijk complex kan zijn. Wij helpen u graag om dit proces zo eenvoudig mogelijk voor u te maken. Meer informatie vindt u bij de veelgestelde vragen. Uiteraard ondersteunen we u ook graag als u er zelf niet helemaal uitkomt.

Verder adviseren we u om over te stappen op de nieuwste versie (eHerkenning 1.13). De versies 1.11 en 1.9 worden straks weliswaar ook nog ondersteund, maar deze versies zullen eerder uitgefaseerd worden dan 1.13. Met een keuze voor eHerkenning 1.13 bent u langer van een ondersteunde versie voorzien. 

Maakt u gebruik van de Signicat (voorheen Connectis) Identity Broker? Dan sluiten wij u aan op nieuwe koppelvlakken en heeft u hier zelf geen omkijken naar. Meer weten over de Signicat Identity Broker of advies over welke functionaliteiten voor u nog meer interessant kunnen zijn? Neem dan contact op met uw vaste accountmanager of laat uw gegevens achter.